
package org.sky.scientific.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.sky.core.mp.base.BaseService;
import org.sky.scientific.pojo.dto.CgQtDTO;
import org.sky.scientific.pojo.entity.CgQtEntity;
import org.sky.scientific.pojo.vo.XmCGSummary;
import org.springframework.web.multipart.MultipartFile;

import java.io.OutputStream;
import java.util.List;

/**
 * 科研成果-其他成果 服务类
 *
 * @author Kd
 * @since 2025-06-29
 */
public interface ICgQtService extends BaseService<CgQtEntity> {

	IPage<CgQtEntity> selectPageByCondition(IPage<CgQtEntity> page, CgQtDTO qt);

    void importQt(MultipartFile file);

	boolean save(CgQtEntity cgQt);

	boolean update(CgQtEntity cgQt);

	boolean physicalDeleteByIds(List<Long> ids);

	/**
	 * 研发项目成果
	 * @param page
	 * @param xmId
	 * @return
	 */
	IPage<XmCGSummary> xmCgSummary(IPage<XmCGSummary> page, Long xmId);

	/**
	 * 研发项目成果-导出
	 * @param os
	 * @param dto
	 */
	void exportXmCgSummary(OutputStream os, List<XmCGSummary> list);

	void export(OutputStream os, List<CgQtEntity> list);
}
